Bug 1566954 - Host collection "Actions" displays modal dialog but can not click on any link
Summary: Host collection "Actions" displays modal dialog but can not click on any link
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Collections
Version: 6.3.0
Hardware: All
OS: All
medium
medium vote
Target Milestone: 6.4.0
Assignee: Samir Jha
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 08:26 UTC by Anand Agrawal
Modified: 2019-11-05 23:15 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.rc1-0.1.rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:23:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23481 None None None 2018-05-02 14:07:46 UTC

Description Anand Agrawal 2018-04-13 08:26:47 UTC
Description of problem:

We can not click through any of the links in actions of the host collection.

Eg: 1. Can not click the link to see affected servers on the Content Host Errata Management screen

2. Can not click on the Host Collection name or number of host from Host Collection Membership Action.

Version-Release number of selected component (if applicable):
6.3.0

How reproducible:
Always

Steps to Reproduce:

1. Navigate to Hosts => Host collections
2. Select any host collection
3. Under "Actions" select "Errata Installation"
4. Click on any number in the "Affected Hosts" column


Actual results:
nothing happens, Link is not being clicked

Expected results:
Satellite should show the hosts affected by the selected errata

Additional info:
This works with 6.2 but in 6.3 modal dialog box is introduced, and this does not allow clicking on any links.

Comment 2 Brad Buckingham 2018-04-13 15:09:36 UTC
Are there any javascript errors in the browser console?

Also, do we have an internal reproducer?

Comment 7 Samir Jha 2018-05-02 14:07:44 UTC
Created redmine issue http://projects.theforeman.org/issues/23481 from this bug

Comment 8 pm-sat@redhat.com 2018-06-07 16:07:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23481 has been resolved.

Comment 9 Nikhil Kathole 2018-07-23 08:53:28 UTC
VERIFIED

Version tested:

Satellite 6.4 snap 13

Clicking on "Affected Hosts" column on "Errata installation" Action works and shows host.(see attachment)

Comment 11 Bryan Kearney 2018-10-16 19:23:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.